> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a report

> Updates a report. Only draft reports can be updated.



## OpenAPI

````yaml PATCH /reports/{report_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /reports/{report_id}:
    patch:
      summary: Update a report
      description: Updates a report. Only draft reports can be updated.
      operationId: update-report
      parameters:
        - name: report_id
          in: path
          description: Report friendly ID (e.g., rpt_abc123def456)
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                report:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Report name
                    batch_ids:
                      type: array
                      description: Array of batch friendly IDs
                      items:
                        type: string
            examples:
              Request Example:
                value:
                  report:
                    name: Updated Report Name
                    batch_ids:
                      - bat_abc123def456
                      - bat_xyz789
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: rpt_abc123def456
                    name: Updated Report Name
                    report_type: quarterly
                    status: draft
                    project_id: 123
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T12:00:00.000Z'
                    inclusions: []
                    allocation: null
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Only draft reports can be updated
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````